#!/bin/bash
#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
#

set -Eeuo pipefail

# Constants
SCRIPT_DIR="$(dirname "$(readlink -f "$0")")"
PROJECT_ROOT="$(dirname "$SCRIPT_DIR")"

# Dummy values
export LIGHTDASH_URL="https://app.lightdash.cloud"
export LIGHTDASH_API_KEY="dummy-api-key"

# Update the documentation of the CLI
typer lightdash_ops/cli/main.py utils docs --name "lightdash-ops" --output "docs/cli.md"

# Generate the JSON schemas and env template
python lightdash_ops/cli/main.py settings get | tee "${PROJECT_ROOT}/.env.template"
